KLibrary Class Reference

`#include <klibloader.h>`

Inherits QObject.

## Public Member Functions

| KLibrary (const QString &libname, const QString &filename, void *handle)
QString | name () const
QString | fileName () const
KLibFactory * | factory ()
void * | symbol (const char *name) const
bool | hasSymbol (const char *name) const
void | unload () const

## Friends

class | KLibLoader
class | QAsciiDict< KLibrary >

## Detailed Description

Represents a dynamically loaded library.

KLibrary allows you to look up symbols of the shared library. Use KLibLoader to create a new instance of KLibrary.

See also
  KLibLoader

Author
  Torben Weis weis@.nosp@m.kde..nosp@m.org

Definition at line 50 of file klibloader.h.

## Constructor & Destructor Documentation

KLibrary::KLibrary | ( | const QString & | libname,
|  | const QString & | filename,
|  | void * | handle
| ) |  |

Don't create KLibrary objects on your own.

Instead use KLibLoader.

Definition at line 98 of file klibloader.cpp.

## Member Function Documentation

KLibFactory * KLibrary::factory | ( |  | ) |

Returns the factory of the library.

Returns
  The factory of the library if there is any, otherwise 0

Definition at line 146 of file klibloader.cpp.

QString KLibrary::fileName | ( |  | ) | const

Returns the file name of the library.

Returns
  The filename of the library, for example "/opt/kde2&/lib/libkspread.la"

Definition at line 141 of file klibloader.cpp.

bool KLibrary::hasSymbol | ( | const char * | name | ) | const

Looks up a symbol from the library.

This is a very low level function that you usually don't want to use. Unlike symbol(), this method doesn't warn if the symbol doesn't exist, so if the symbol might or might not exist, better use hasSymbol() before symbol().

Parameters

  name | the name of the symbol to check

Returns
  true if the symbol exists

Since
  3.1

Definition at line 192 of file klibloader.cpp.

QString KLibrary::name | ( |  | ) | const

Returns the name of the library.

Returns
  The name of the library like "libkspread".

Definition at line 136 of file klibloader.cpp.

void * KLibrary::symbol | ( | const char * | name | ) | const

Looks up a symbol from the library.

This is a very low level function that you usually don't want to use. Usually you should check using hasSymbol() whether the symbol actually exists, otherwise a warning will be printed.

Parameters

  name | the name of the symbol to look up

Returns
  the address of the symbol, or 0 if it does not exist

See also
  hasSymbol

Definition at line 179 of file klibloader.cpp.

void KLibrary::unload | ( |  | ) | const

Unloads the library.

This typically results in the deletion of this object. You should not reference its pointer after calling this function.

Definition at line 198 of file klibloader.cpp.

The documentation for this class was generated from the following files:

- klibloader.h
- klibloader.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys